Csi.ControllerServiceCapability.RPC.Type (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: csi.v0, class: Csi, class: ControllerServiceCapability, class: RPC, enum: Type

Package csi.v0

# Enum Class Csi.ControllerServiceCapability.RPC.Type

java.lang.Object
java.lang.Enum<Csi.ControllerServiceCapability.RPC.Type>
csi.v0.Csi.ControllerServiceCapability.RPC.Type

All Implemented Interfaces:
  `com.google.protobuf.Internal.EnumLite`, `com.google.protobuf.ProtocolMessageEnum`, `Serializable`, `Comparable<Csi.ControllerServiceCapability.RPC.Type>`, `Constable`

Enclosing class:
  csi.v0.Csi.ControllerServiceCapability.RPC

public static enum Csi.ControllerServiceCapability.RPC.Type extends Enum<Csi.ControllerServiceCapability.RPC.Type> implements com.google.protobuf.ProtocolMessageEnum
Protobuf enum `csi.v0.ControllerServiceCapability.RPC.Type`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CREATE_DELETE_SNAPSHOT`
  Currently the only way to consume a snapshot is to create a volume from it.
  `CREATE_DELETE_VOLUME`
  `CREATE_DELETE_VOLUME = 1;`
  `GET_CAPACITY`
  `GET_CAPACITY = 4;`
  `LIST_SNAPSHOTS`
  LIST_SNAPSHOTS is NOT REQUIRED.
  `LIST_VOLUMES`
  `LIST_VOLUMES = 3;`
  `PUBLISH_UNPUBLISH_VOLUME`
  `PUBLISH_UNPUBLISH_VOLUME = 2;`
  `UNKNOWN`
  `UNKNOWN = 0;`
  `UNRECOGNIZED`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CREATE_DELETE_SNAPSHOT_VALUE`
  Currently the only way to consume a snapshot is to create a volume from it.
  `static final int`
  `CREATE_DELETE_VOLUME_VALUE`
  `CREATE_DELETE_VOLUME = 1;`
  `static final int`
  `GET_CAPACITY_VALUE`
  `GET_CAPACITY = 4;`
  `static final int`
  `LIST_SNAPSHOTS_VALUE`
  LIST_SNAPSHOTS is NOT REQUIRED.
  `static final int`
  `LIST_VOLUMES_VALUE`
  `LIST_VOLUMES = 3;`
  `static final int`
  `PUBLISH_UNPUBLISH_VOLUME_VALUE`
  `PUBLISH_UNPUBLISH_VOLUME = 2;`
  `static final int`
  `UNKNOWN_VALUE`
  `UNKNOWN = 0;`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Csi.ControllerServiceCapability.RPC.Type`
  `forNumber(int value)`
  `static final com.google.protobuf.Descriptors.EnumDescriptor`
  `getDescriptor()`
  `final com.google.protobuf.Descriptors.EnumDescriptor`
  `getDescriptorForType()`
  `final int`
  `getNumber()`
  `final com.google.protobuf.Descriptors.EnumValueDescriptor`
  `getValueDescriptor()`
  `static com.google.protobuf.Internal.EnumLiteMap<Csi.ControllerServiceCapability.RPC.Type>`
  `internalGetValueMap()`
  `static Csi.ControllerServiceCapability.RPC.Type`
  `valueOf(int value)`
  Deprecated.
  `static Csi.ControllerServiceCapability.RPC.Type`
  `valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)`
  Returns the enum constant of this class with the specified name.
  `static Csi.ControllerServiceCapability.RPC.Type`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Csi.ControllerServiceCapability.RPC.Type[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### UNKNOWN

    public static final Csi.ControllerServiceCapability.RPC.Type UNKNOWN
    `UNKNOWN = 0;`

  - ### CREATE_DELETE_VOLUME

    public static final Csi.ControllerServiceCapability.RPC.Type CREATE_DELETE_VOLUME
    `CREATE_DELETE_VOLUME = 1;`

  - ### PUBLISH_UNPUBLISH_VOLUME

    public static final Csi.ControllerServiceCapability.RPC.Type PUBLISH_UNPUBLISH_VOLUME
    `PUBLISH_UNPUBLISH_VOLUME = 2;`

  - ### LIST_VOLUMES

    public static final Csi.ControllerServiceCapability.RPC.Type LIST_VOLUMES
    `LIST_VOLUMES = 3;`

  - ### GET_CAPACITY

    public static final Csi.ControllerServiceCapability.RPC.Type GET_CAPACITY
    `GET_CAPACITY = 4;`

  - ### CREATE_DELETE_SNAPSHOT

    public static final Csi.ControllerServiceCapability.RPC.Type CREATE_DELETE_SNAPSHOT

         Currently the only way to consume a snapshot is to create
         a volume from it. Therefore plugins supporting
         CREATE_DELETE_SNAPSHOT MUST support creating volume from
         snapshot.

    `CREATE_DELETE_SNAPSHOT = 5;`

  - ### LIST_SNAPSHOTS

    public static final Csi.ControllerServiceCapability.RPC.Type LIST_SNAPSHOTS

         LIST_SNAPSHOTS is NOT REQUIRED. For plugins that need to upload
         a snapshot after it is being cut, LIST_SNAPSHOTS COULD be used
         with the snapshot_id as the filter to query whether the
         uploading process is complete or not.

    `LIST_SNAPSHOTS = 6;`

  - ### UNRECOGNIZED

    public static final Csi.ControllerServiceCapability.RPC.Type UNRECOGNIZED

- ## Field Details

  - ### UNKNOWN_VALUE

    public static final int UNKNOWN_VALUE
    `UNKNOWN = 0;`
    See Also:
      - Constant Field Values

  - ### CREATE_DELETE_VOLUME_VALUE

    public static final int CREATE_DELETE_VOLUME_VALUE
    `CREATE_DELETE_VOLUME = 1;`
    See Also:
      - Constant Field Values

  - ### PUBLISH_UNPUBLISH_VOLUME_VALUE

    public static final int PUBLISH_UNPUBLISH_VOLUME_VALUE
    `PUBLISH_UNPUBLISH_VOLUME = 2;`
    See Also:
      - Constant Field Values

  - ### LIST_VOLUMES_VALUE

    public static final int LIST_VOLUMES_VALUE
    `LIST_VOLUMES = 3;`
    See Also:
      - Constant Field Values

  - ### GET_CAPACITY_VALUE

    public static final int GET_CAPACITY_VALUE
    `GET_CAPACITY = 4;`
    See Also:
      - Constant Field Values

  - ### CREATE_DELETE_SNAPSHOT_VALUE

    public static final int CREATE_DELETE_SNAPSHOT_VALUE

         Currently the only way to consume a snapshot is to create
         a volume from it. Therefore plugins supporting
         CREATE_DELETE_SNAPSHOT MUST support creating volume from
         snapshot.

    `CREATE_DELETE_SNAPSHOT = 5;`
    See Also:
      - Constant Field Values

  - ### LIST_SNAPSHOTS_VALUE

    public static final int LIST_SNAPSHOTS_VALUE

         LIST_SNAPSHOTS is NOT REQUIRED. For plugins that need to upload
         a snapshot after it is being cut, LIST_SNAPSHOTS COULD be used
         with the snapshot_id as the filter to query whether the
         uploading process is complete or not.

    `LIST_SNAPSHOTS = 6;`
    See Also:
      - Constant Field Values

- ## Method Details

  - ### values

    public static Csi.ControllerServiceCapability.RPC.Type[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Csi.ControllerServiceCapability.RPC.Type valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getNumber

    public final int getNumber()
    Specified by:
      `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
    Specified by:
      `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

  - ### valueOf

    @Deprecated public static Csi.ControllerServiceCapability.RPC.Type valueOf(int value)
    Deprecated.
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `value` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### forNumber

    public static Csi.ControllerServiceCapability.RPC.Type forNumber(int value)
    Parameters:
      `value` - The numeric wire value of the corresponding enum entry.
    Returns:
      The enum associated with the given numeric wire value.

  - ### internalGetValueMap

    public static com.google.protobuf.Internal.EnumLiteMap<Csi.ControllerServiceCapability.RPC.Type> internalGetValueMap()

  - ### getValueDescriptor

    public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()
    Specified by:
      `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

  - ### getDescriptorForType

    public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()
    Specified by:
      `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

  - ### getDescriptor

    public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

  - ### valueOf

    public static Csi.ControllerServiceCapability.RPC.Type valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `desc` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null